<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.shopping.mapper.ConsignRuleMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="consignRuleResultMap" type="org.springblade.modules.shopping.entity.ConsignRule">
        <result column="id" property="id"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="rule_name" property="ruleName"/>
        <result column="rule_desc" property="ruleDesc"/>
        <result column="order_num" property="orderNum"/>
        <result column="ticket_num" property="ticketNum"/>
        <result column="credit_score" property="creditScore"/>
        <result column="rule_state" property="ruleState"/>
    </resultMap>


    <select id="selectConsignRulePage" resultMap="consignRuleResultMap">
        select * from t_consign_rule where is_deleted = 0
    </select>

</mapper>
